Bug 185560 - Fujitsu Lifebook P Series (P1510D) suspend/resume button (also power button) not recognized as being for suspend/resume
Fujitsu Lifebook P Series (P1510D) suspend/resume button (also power button) ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Desktop
Depends On:
Blocks: 183425
  Show dependency treegraph
 
Reported: 2006-03-15 15:26 EST by Suzanne Hillman
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:53:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-03-15 15:26:40 EST
Description of problem:
Fujitsu Lifebook P Series (P1510D) suspend/resume button (also power button) not
recognized as being for suspend/resume. It gets detected, unsurprisingly, as the
power button, and the machine then proceeds to shutdown nicely.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2025_FC5

How reproducible:
Always

Steps to Reproduce:
1. Obtain a powered on Fujitsu Lifebook P Series (P1510D) with rawhide on
2. Hit the suspend/resume button
  
Actual results:
Machine shuts down

Expected results:
Machine should suspend.

Additional info:
Comment 1 Dave Jones 2006-10-16 20:12:07 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Dave Jones 2006-11-24 17:53:25 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 3 Suzanne Hillman 2007-06-06 16:12:39 EDT
F-7, kernel-2.6.21-1.3194.fc7, looks like it now talks to g-p-m to find out what
to do on power button press.

Note You need to log in before you can comment on or make changes to this bug.